Subject: UPDATED IAB Seeks Feedback on Candidates for the IETF appointments to the ICANN Root Server System Governance Working Group (GWG)

From: IAB Executive Administrative Manager <[email-masked]>
Date: Mon, 06 Jan 2020 15:53:43 -0800

On 20 December 2019, the IAB re-opened the call for nominations to the 
ICANN Root Server System Governance Working Group (GWG). The extended 
nominations period has now closed, and several additional candidates 
have put their names forward. The full list of candidates who have 
accepted nominations is:

 - Fred Baker
 - Lyman Chapin
 - Steve Crocker
 - Wes Hardaker
 - Ted Hardie
 - Geoff Huston
 - Warren Kumari
 - Daniel Migault
 - Jeff Osborn

The IAB is requesting feedback on these candidates by Monday, January 
13, 2020. Please send your response to [email-masked].  If you would like 
your feedback to be anonymized, please indicate such in your response.

On behalf of the IAB,
Cindy Morgan
IAB Executive Administrative Manager

On Fri, Dec 20, 2019 at 12:47 PM [email-masked] wrote:

> A month ago, the IAB asked the community for volunteers to serve on 
> the ICANN Root Server System Governance Working Group (GWG) [1]. The 
> call expired on December 4 and five excellent experts volunteered. For 
> the reasons explained below, we would like to reopen the call for 
> volunteers until January 4 to ensure that we can select the needed two 
> candidates from the most complete pool.
> 
> The GWG is tackling a hard problem, the evolution of the DNS root 
> server system. The GWG will have to make decisions that gather 
> consensus from a very diverse set of parties, while  preserving the 
> stability of the Internet and the globally unique public name space, 
> as spelled out in RFC 2826. We believe that the success of the GWG 
> depends on nominating a set of experts with a diversity of technical 
> and business experiences.
> 
> The IAB would like to thank all the volunteers so far. They form a
> strong candidate pool. However, we believe the diversity of 
> affiliations and backgrounds in the candidate pool could be improved, 
> so we are re-opening the call.
> 
> Please volunteer, or convince someone that you know to do so.
> Nominations should be sent to [email-masked].
> 
> On behalf of the IAB,
> Cindy Morgan
> IAB Executive Administrative Manager
> 
> [1] https://mailarchive.ietf.org/arch/msg/ietf-announce/nX1WL2NlmxgrU-_E006FhW37SmM